Bug 177417 - Config values for DM devices from HP arrays
Summary: Config values for DM devices from HP arrays
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
(Show other bugs)
Version: 4.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ben Marzinski
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2006-01-10 15:15 UTC by Narasimha Murthy
Modified: 2010-01-12 02:23 UTC (History)
4 users (show)

Fixed In Version: RHEA-2006-0084
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 18:47:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to DM multipath tools, for the config values to DM devices for luns from HP arrays (7.10 KB, patch)
2006-01-10 15:19 UTC, Narasimha Murthy
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2006:0084 normal SHIPPED_LIVE device-mapper-multipath enhancement update 2006-03-06 05:00:00 UTC

Description Narasimha Murthy 2006-01-10 15:15:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
The default values in /etc/multipath.conf file needs to be updated for Hewlett-Packard's storage arrays. Also the incode defaults for these arrays need to be added so that DM recognizes luns from HP arrays and applies the desired policies to the DM devices for these luns.

Version-Release number of selected component (if applicable):
multipath-tools-0.4.5.51

How reproducible:
Always

Steps to Reproduce:
1.run multipath -v3
2.see the DM device properties for the luns from HP arrays, using "multipath -ll"

  

Actual Results:  the default policies are applied, which are not the desired properties for DM devices for HP arrays.

Expected Results:  Appropriate policies like path grouping, path prio callout, path checker have to be applied.

Additional info:

Comment 1 Narasimha Murthy 2006-01-10 15:19:06 UTC
Created attachment 123002 [details]
patch to DM multipath tools, for the config values to DM devices for luns from HP arrays

Attached is the patch that can be applied for multipath-tools-0.4.5.51 that is
distributed as part of RHEL4 U3. After applying the patch the multipath tools
should be able to apply the polices appropriately for luns from HP arrays.

Comment 10 Red Hat Bugzilla 2006-03-07 18:47:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0084.html



Note You need to log in before you can comment on or make changes to this bug.